
I was rushed by ambulance and immediately into the resuscitation room. I had a lot of pressure, pain, and blood loss. They found it difficult to find veins for IVs and blood drawing because my veins had collapsed. I was aware of everything going that was happening. I was able to give them details of my operation and what medications I was taking. After they cut my nightie and underwear off, because they were completely soaked in blood, I begged them to let my husband in the room. I needed to make sure he didn't frighten my pregnant daughter with the news since she had high blood pressure. At this stage, my blood pressure was very low and my heart rate very high. I held my husband's hand, looked up into his face, told him that things were really bad and that I was 'going.' He tried to be reassuring but I felt I was slipping away. I told him I loved him and then everything went black.

Quickly after that, I saw white light but was not aware of any sound or of medical staff taking him out of the room.

My husband told me that as soon as I told him that I was going, my arm and leg fell off trolley and my eyes were fixed open. The next thing I remember was a heavy weight on my chest as if someone was sitting on it. My head was pushed back and the oxygen mask held very tightly on my face by someone. I felt like I was going a hundred miles an hour on the trolley along a corridor. I briefly remember giving my date of birth in the operating room.
